> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# Get the tax information (description and category) for a tax type ID

GET https://api.communications.avalara.com/api/v2/afc/taxType/{taxType}

> **Access control:** this endpoint is available to users with the `everyone` role.

This method returns the description for the specified tax type ID. If tax type * is supplied it will return all tax types.

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax-for-communications/public-reference/get-tax-type

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `taxType` (string, required) — Tax type ID for the tax type.

### Headers

- `client_id` (integer, required) — The client id.

## Response

### 200

OK

- `list of TaxTypeData`

## Types

### TaxTypeData

- `TaxType` (integer, optional)
- `CategoryType` (integer, optional)
- `TaxDescription` (string, optional, nullable)
- `CategoryDescription` (string, optional, nullable)

## Examples

**Response**

```json
[
  {
    "TaxType": 1,
    "CategoryType": 1,
    "TaxDescription": "string",
    "CategoryDescription": "string"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.communications.avalara.com/api/v2/afc/taxType/taxType"

headers = {
    "client_id": "1",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.communications.avalara.com/api/v2/afc/taxType/taxType';
const options = {method: 'GET', headers: {client_id: '1', Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.communications.avalara.com/api/v2/afc/taxType/taxType"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client_id", "1")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.communications.avalara.com/api/v2/afc/taxType/taxType")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client_id"] = '1'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.communications.avalara.com/api/v2/afc/taxType/taxType")
  .header("client_id", "1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.communications.avalara.com/api/v2/afc/taxType/taxType', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'client_id' => '1',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.communications.avalara.com/api/v2/afc/taxType/taxType");
var request = new RestRequest(Method.GET);
request.AddHeader("client_id", "1");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client_id": "1",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.communications.avalara.com/api/v2/afc/taxType/taxType")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```